## crashtest-1.1.tar.gz

=== src-crashtest/Makefile ===
# EDIT THESE SETTINGS

PLIBPREFIX=/usr
ODEPREFIX=/usr
CXX=g++

#PLIBPREFIX=$(HOME)
#ODEPREFIX=$(HOME)
#CXX=g++-4.0

# END OF CUSTOM SETTINGS

CXXFLAGS=\
  -I$(ODEPREFIX)/include \
  -I$(PLIBPREFIX)/include \
  -I../src-common \
  -O2 -g -Wall

LFLAGS=\
  -L$(PLIBPREFIX)/lib \
  -L/usr/X11R6/lib

OBJS=staticworldobject.o crashtest.o dynamicobject.o cartobject.o

LIBS= $(ODEPREFIX)/lib/libode.a -lplibssgaux -lplibssg -lplibsg -lplibpu -lplibfnt -lplibul -lGLU -lGL `fltk-config --use-gl --use-images --ldflags`


all: crashtest

crashtest: $(OBJS)
	$(CXX) -o crashtest $(OBJS) $(LFLAGS) $(LIBS)

staticworldobject.o: ../src-common/staticworldobject.cxx ../src-common/staticworldobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/staticworldobject.cxx

dynamicobject.o: ../src-common/dynamicobject.cxx ../src-common/dynamicobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/dynamicobject.cxx

cartobject.o: cartobject.cxx cartobject.h
	$(CXX) -c $(CXXFLAGS) cartobject.cxx

crashtest.o: crashtest.cxx crashworld.h ../src-common/modelmap.h cartobject.h bipedobject.h ../src-common/brickwall.h ../src-common/stereocontext.h ../src-common/usercam.h
	$(CXX) -c $(CXXFLAGS) crashtest.cxx



run: crashtest
	PLODE_DATADIR=`pwd` ./crashtest


GAMEDIR=$(DESTDIR)/usr/share/games/crashtest
install: crashtest
	# Directories
	mkdir -p $(DESTDIR)/usr/games/
	mkdir -p $(GAMEDIR)/models/
	# Binary
	install crashtest $(DESTDIR)/usr/games/crashtest
	# Models
	install -m 644 models/testground.3ds $(GAMEDIR)/models/testground.3ds
	install -m 644 models/biped_torso.3ds $(GAMEDIR)/models/biped_torso.3ds
	install -m 644 models/biped_head.3ds $(GAMEDIR)/models/biped_head.3ds
	install -m 644 models/biped_upperarm.3ds $(GAMEDIR)/models/biped_upperarm.3ds
	install -m 644 models/biped_lowerarm.3ds $(GAMEDIR)/models/biped_lowerarm.3ds
	install -m 644 models/biped_upperleg.3ds $(GAMEDIR)/models/biped_upperleg.3ds
	install -m 644 models/biped_lowerleg.3ds $(GAMEDIR)/models/biped_lowerleg.3ds
	install -m 644 models/biped_foot.3ds $(GAMEDIR)/models/biped_foot.3ds
	install -m 644 models/cart.3ds $(GAMEDIR)/models/cart.3ds
	install -m 644 models/wheel.3ds $(GAMEDIR)/models/wheel.3ds
	install -m 644 models/nwoplate.ac $(GAMEDIR)/models/nwoplate.ac
	install -m 644 models/saralogo.bmp $(GAMEDIR)/models/saralogo.bmp
	install -m 644 models/brick_half.3ds $(GAMEDIR)/models/brick_half.3ds
	install -m 644 models/brick_full.3ds $(GAMEDIR)/models/brick_full.3ds


deb:
	strip crashtest
	fakeroot dpkg-buildpackage


clean:
	rm -f *.o crashtest

=== src-crashtest/debian/changelog ===
crashtest (1.0-1) unstable; urgency=low

  * First public release

 -- Bram Stolk <b.stolk@gmail.com>  Wed, 25 Oct 2006 17:08:36 +0200

=== src-crashtest/debian/control ===
Source: crashtest
Section: games
Priority: optional
Maintainer: Bram Stolk <b.stolk@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2.2

Package: crashtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simulated car crash. This is an educational tool that can be used to aquire much insight into this complex process. The user can learn about the relation between speed and stopping distance. Also, many physical properties can be studied.

=== src-crashtest/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#./configure --prefix=/usr
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean
	#$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	DESTDIR=debian/tmp $(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
